ISINF(3)

NAME
isinf, isnan, finite - test for infinity or not-a-number (NaN)

SYNOPSIS
#include <math.h>

int isinf(double value);

int isnan(double value);

int finite(double value);

DESCRIPTION
The isinf() function returns -1 if value represents negative infinity, 1 if value represents positive infinity, and 0 otherwise.

The isnan() function returns a non-zero value if value is "not-a-number" (NaN), and 0 otherwise.

The finite() function returns a non-zero value if value is neither infinite nor a "not-a-number" (NaN) value, and 0 otherwise.

CONFORMING TO
BSD 4.3